
// Create directory to store SmartGWT data source definitions
ant.mkdir(dir: "${basedir}/web-app/shared")
ant.mkdir(dir: "${basedir}/grails-app/shared/ds")
ant.mkdir(dir: "${basedir}/web-app/shared/app")
ant.mkdir(dir: "${basedir}/web-app/shared/ui")

if (!new File("${basedir}/web-app/WEB-INF/iscTaglib.xml").exists())
  ant.copy(file:"${smartgwtServerPluginDir}/src/templates/iscTaglib.xml",todir:"${basedir}/web-app/WEB-INF")

ant.input(message: 'Please enter the path to the SmartGWT install on your system:', addproperty: "smartgwt-server.smartgwt.install.path")

def smartgwtInstallPath = ant.antProject.properties."smartgwt-server.smartgwt.install.path"

if (!new File("${basedir}/lib/gwt/smartgwt.jar").exists())
  ant.copy(file:"${smartgwtInstallPath}/lib/smartgwt.jar",todir:"${basedir}/lib/gwt")

if (!new File("${basedir}/lib/gwt/smartgwtee.jar").exists())
  ant.copy(file:"${smartgwtInstallPath}/lib/smartgwtee.jar",todir:"${basedir}/lib/gwt")

ant.copy(todir:"${basedir}/lib") {
	fileset(dir:"${smartgwtInstallPath}/lib" ) {
		include( name: "commons-cli-1.1.jar")
		include( name: "commons-httpclient-3.1.jar")
		include( name: "commons-jxpath-1.3.jar")
		include( name: "isc-jakarta-oro-2.0.6.jar")
		include( name: "velocity-1.6.1.jar")
		include( name: "isomorphic*.jar")
		include( name: "smartgwt*.jar")
	}
}
