/*
 */

import groovy.xml.MarkupBuilder
import org.codehaus.groovy.grails.commons.GrailsDomainClassProperty
import org.codehaus.groovy.grails.commons.GrailsDomainClass
import grails.persistence.Event
import com.emrul.grails.smartclient.GrailsSmartClientDataSourceUtil
import com.emrul.grails.smartclient.GrailsSmartClientSharedUtil

Ant.property(environment:"env")
grailsHome = Ant.antProject.properties."env.GRAILS_HOME"

includeTargets << grailsScript("Init")
includeTargets << new File ( "${grailsHome}/scripts/Bootstrap.groovy" )

target(main: "The description of the script goes here!") {
	//depends( compile,loadApp)
	//depends(loadApp)
	depends( checkVersion, parseArguments, packageApp)
	println 'Generating services'

	//def GrailsSmartClientDataSourceUtil = grailsApp.classLoader.loadClass("com.emrul.grails.smartclient.GrailsSmartClientDataSourceUtil")
	//def GrailsSmartClientSharedUtil = grailsApp.classLoader.loadClass("com.emrul.grails.smartclient.GrailsSmartClientSharedUtil")

	def serviceDir = new File("${basedir}/smartclient/app")

	if (!serviceDir.exists())
		serviceDir.mkdirs()

	grailsApp.domainClasses.findAll {GrailsSmartClientSharedUtil.isSmartClientEnabled(it) }.each { domainClass ->
		println "...${domainClass.name}"
		// def writer = new FileWriter( new File("${datasourceDir}/${domainClass.name}.ds.groovy") )
		GrailsSmartClientDataSourceUtil.generateDataSource(domainClass, dataSourceDir.getPath(), serverContextPath)
		// writer.close()
	}
}
setDefaultTarget(main)
